Subject: Re: bug#7659: emacs - c mode tab space different between windows and linux

From: Anoj Perera <[email-masked]>
Date: Fri, 17 Dec 2010 17:45:45 +0000

Hi I tried running emacs with -Q option and it seems to read source
files from Windows machine as it meant to read. I will try and bottom
out the configuration file issue.

Thanks
Anoj

On 17 December 2010 11:30, Anoj Perera <[email-masked]> wrote:
> Ok thanks, I will try that out.
>
> Regards,
> Anoj
>
> On 17 Dec 2010, at 11:01, Eli Zaretskii <[email-masked]> wrote:
>
>>> From: Anoj Perera <[email-masked]>
>>> Date: Fri, 17 Dec 2010 09:59:37 +0000
>>>
>>> Hi many thanks for your reply. Haven't tried the -Q option (without
>>> loading the .emacs file?).
>>
>> Please do.  I think you will discover that the display on Ubuntu will
>> then look exactly like that on Windows.
>>
>> And please keep [email-masked] on the list of addressees, so
>> this whole discussion gets recorded in the history of your bug report.
>>
>>> I've attached a source file coded with
>>> emacs in linux (Ubuntu 10.04) and a screenshot same file viewed in
>>> emacs in Windows. You can note the diference, function name and
>>> arguments are indented little too much.
>>
>> I see your file exactly like in the screenshot, both on Windows and on
>> GNU/Linux.  So I think you have some site init file on Ubuntu that
>> sets certain options related to C indentation.  "emacs -Q" will bypass
>> the customizations on that file, so you will know this for sure.
>>
>> If this is indeed the case, you should look at your site init file,
>> and do the same on Windows.
>>
>>> I am guessing this is a character encoding issue.
>>
>> No, character encoding doesn't (and cannot) have anything with
>> indentation.  It's just that (if my guess is right) on Ubuntu you have
>> some customizations that you need to have on your Windows .emacs, and
>> then you will see the same display.
>